<template>
    <div>
        <p v-bind:class="color">
            {{msg}}
        </p>
        <TresoForm v-bind:treso="treso" v-on:submit="edit()" v-on:back="back()" v-on:remove="remove">
    
        </TresoForm>
    </div>
</template>

<script>

import TresoForm from './Treso.Form.vue'
import {
    editTreso, deleteTreso
} from '@/api/treso.service.js'
export default {
    computed: {
        treso(){
            return this.$store.getters.getCurrentTreso;
        }
    },
    data() {
        return {
            confirm: "",
            interact: true,
            color: "black",
            msg: ""
        }
    },
    methods: {
        edit: function () {
            editTreso(this.treso._id, this.treso).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            });
        },
        back: function () {
            this.$router.go(-1);
        },
        remove() {
            deleteTreso(this.treso._id).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            });
        }
    }, components: {
        TresoForm
    },
    created() {
        this.$store.dispatch('setTresoById', this.$route.params.id);
    }
}
</script>

<style scoped>
.black {
    color: black;
}

.red {
    color: red;
}
</style>
